Skip to main content
GET
List counterfactual evaluations

Authorizations

Authorization
string
header
required

Bearer token issued by Softmax

Query Parameters

candidate_policy_version_id
string<uuid> | null

Return evaluations for this candidate policy version.

league_id
string | null

Return evaluations configured by this league.

Pattern: ^league_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
player_id
string | null

Return evaluations whose candidate belongs to this player.

Pattern: ^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
player_name
string | null

Return evaluations whose candidate player name contains this text.

Required string length: 1 - 100
mine
boolean
default:false

Return only evaluations created by the caller.

limit
integer
default:50

Maximum evaluations returned.

Required range: 1 <= x <= 200
cursor
string | null

Opaque cursor returned by the previous page.

Response

Successful Response

entries
CounterfactualEvalPublic · object[]
required

Counterfactual evaluations in this page, ordered newest first.

next_cursor
string | null
required

Opaque cursor for the next page, or null when this is the last page.